Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network62.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
62.0.0.0
Broadcast address
62.127.255.255
First usable
62.0.0.1
Last usable
62.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 3E000000 · Integer 1040187392 to 1048575999
Reverse DNS zones
0.62.in-addr.arpa
1.62.in-addr.arpa
2.62.in-addr.arpa
3.62.in-addr.arpa
4.62.in-addr.arpa
5.62.in-addr.arpa
6.62.in-addr.arpa
7.62.in-addr.arpa
8.62.in-addr.arpa
9.62.in-addr.arpa
10.62.in-addr.arpa
11.62.in-addr.arpa
12.62.in-addr.arpa
13.62.in-addr.arpa
14.62.in-addr.arpa
15.62.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111110.00000000.00000000.0000000062.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00111110.00000000.00000000.0000000062.0.0.0
Broadcast00111110.01111111.11111111.1111111162.127.255.255
Split into smaller subnets/16

62.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
162.0.0.0/1662.0.0.1 to 62.0.255.25462.0.255.25565,534
262.1.0.0/1662.1.0.1 to 62.1.255.25462.1.255.25565,534
362.2.0.0/1662.2.0.1 to 62.2.255.25462.2.255.25565,534
462.3.0.0/1662.3.0.1 to 62.3.255.25462.3.255.25565,534
562.4.0.0/1662.4.0.1 to 62.4.255.25462.4.255.25565,534
662.5.0.0/1662.5.0.1 to 62.5.255.25462.5.255.25565,534
762.6.0.0/1662.6.0.1 to 62.6.255.25462.6.255.25565,534
862.7.0.0/1662.7.0.1 to 62.7.255.25462.7.255.25565,534
962.8.0.0/1662.8.0.1 to 62.8.255.25462.8.255.25565,534
1062.9.0.0/1662.9.0.1 to 62.9.255.25462.9.255.25565,534
1162.10.0.0/1662.10.0.1 to 62.10.255.25462.10.255.25565,534
1262.11.0.0/1662.11.0.1 to 62.11.255.25462.11.255.25565,534
1362.12.0.0/1662.12.0.1 to 62.12.255.25462.12.255.25565,534
1462.13.0.0/1662.13.0.1 to 62.13.255.25462.13.255.25565,534
1562.14.0.0/1662.14.0.1 to 62.14.255.25462.14.255.25565,534
1662.15.0.0/1662.15.0.1 to 62.15.255.25462.15.255.25565,534
1762.16.0.0/1662.16.0.1 to 62.16.255.25462.16.255.25565,534
1862.17.0.0/1662.17.0.1 to 62.17.255.25462.17.255.25565,534
1962.18.0.0/1662.18.0.1 to 62.18.255.25462.18.255.25565,534
2062.19.0.0/1662.19.0.1 to 62.19.255.25462.19.255.25565,534
2162.20.0.0/1662.20.0.1 to 62.20.255.25462.20.255.25565,534
2262.21.0.0/1662.21.0.1 to 62.21.255.25462.21.255.25565,534
2362.22.0.0/1662.22.0.1 to 62.22.255.25462.22.255.25565,534
2462.23.0.0/1662.23.0.1 to 62.23.255.25462.23.255.25565,534
2562.24.0.0/1662.24.0.1 to 62.24.255.25462.24.255.25565,534
2662.25.0.0/1662.25.0.1 to 62.25.255.25462.25.255.25565,534
2762.26.0.0/1662.26.0.1 to 62.26.255.25462.26.255.25565,534
2862.27.0.0/1662.27.0.1 to 62.27.255.25462.27.255.25565,534
2962.28.0.0/1662.28.0.1 to 62.28.255.25462.28.255.25565,534
3062.29.0.0/1662.29.0.1 to 62.29.255.25462.29.255.25565,534
3162.30.0.0/1662.30.0.1 to 62.30.255.25462.30.255.25565,534
3262.31.0.0/1662.31.0.1 to 62.31.255.25462.31.255.25565,534
3362.32.0.0/1662.32.0.1 to 62.32.255.25462.32.255.25565,534
3462.33.0.0/1662.33.0.1 to 62.33.255.25462.33.255.25565,534
3562.34.0.0/1662.34.0.1 to 62.34.255.25462.34.255.25565,534
3662.35.0.0/1662.35.0.1 to 62.35.255.25462.35.255.25565,534
3762.36.0.0/1662.36.0.1 to 62.36.255.25462.36.255.25565,534
3862.37.0.0/1662.37.0.1 to 62.37.255.25462.37.255.25565,534
3962.38.0.0/1662.38.0.1 to 62.38.255.25462.38.255.25565,534
4062.39.0.0/1662.39.0.1 to 62.39.255.25462.39.255.25565,534
4162.40.0.0/1662.40.0.1 to 62.40.255.25462.40.255.25565,534
4262.41.0.0/1662.41.0.1 to 62.41.255.25462.41.255.25565,534
4362.42.0.0/1662.42.0.1 to 62.42.255.25462.42.255.25565,534
4462.43.0.0/1662.43.0.1 to 62.43.255.25462.43.255.25565,534
4562.44.0.0/1662.44.0.1 to 62.44.255.25462.44.255.25565,534
4662.45.0.0/1662.45.0.1 to 62.45.255.25462.45.255.25565,534
4762.46.0.0/1662.46.0.1 to 62.46.255.25462.46.255.25565,534
4862.47.0.0/1662.47.0.1 to 62.47.255.25462.47.255.25565,534
4962.48.0.0/1662.48.0.1 to 62.48.255.25462.48.255.25565,534
5062.49.0.0/1662.49.0.1 to 62.49.255.25462.49.255.25565,534
5162.50.0.0/1662.50.0.1 to 62.50.255.25462.50.255.25565,534
5262.51.0.0/1662.51.0.1 to 62.51.255.25462.51.255.25565,534
5362.52.0.0/1662.52.0.1 to 62.52.255.25462.52.255.25565,534
5462.53.0.0/1662.53.0.1 to 62.53.255.25462.53.255.25565,534
5562.54.0.0/1662.54.0.1 to 62.54.255.25462.54.255.25565,534
5662.55.0.0/1662.55.0.1 to 62.55.255.25462.55.255.25565,534
5762.56.0.0/1662.56.0.1 to 62.56.255.25462.56.255.25565,534
5862.57.0.0/1662.57.0.1 to 62.57.255.25462.57.255.25565,534
5962.58.0.0/1662.58.0.1 to 62.58.255.25462.58.255.25565,534
6062.59.0.0/1662.59.0.1 to 62.59.255.25462.59.255.25565,534
6162.60.0.0/1662.60.0.1 to 62.60.255.25462.60.255.25565,534
6262.61.0.0/1662.61.0.1 to 62.61.255.25462.61.255.25565,534
6362.62.0.0/1662.62.0.1 to 62.62.255.25462.62.255.25565,534
6462.63.0.0/1662.63.0.1 to 62.63.255.25462.63.255.25565,534
6562.64.0.0/1662.64.0.1 to 62.64.255.25462.64.255.25565,534
6662.65.0.0/1662.65.0.1 to 62.65.255.25462.65.255.25565,534
6762.66.0.0/1662.66.0.1 to 62.66.255.25462.66.255.25565,534
6862.67.0.0/1662.67.0.1 to 62.67.255.25462.67.255.25565,534
6962.68.0.0/1662.68.0.1 to 62.68.255.25462.68.255.25565,534
7062.69.0.0/1662.69.0.1 to 62.69.255.25462.69.255.25565,534
7162.70.0.0/1662.70.0.1 to 62.70.255.25462.70.255.25565,534
7262.71.0.0/1662.71.0.1 to 62.71.255.25462.71.255.25565,534
7362.72.0.0/1662.72.0.1 to 62.72.255.25462.72.255.25565,534
7462.73.0.0/1662.73.0.1 to 62.73.255.25462.73.255.25565,534
7562.74.0.0/1662.74.0.1 to 62.74.255.25462.74.255.25565,534
7662.75.0.0/1662.75.0.1 to 62.75.255.25462.75.255.25565,534
7762.76.0.0/1662.76.0.1 to 62.76.255.25462.76.255.25565,534
7862.77.0.0/1662.77.0.1 to 62.77.255.25462.77.255.25565,534
7962.78.0.0/1662.78.0.1 to 62.78.255.25462.78.255.25565,534
8062.79.0.0/1662.79.0.1 to 62.79.255.25462.79.255.25565,534
8162.80.0.0/1662.80.0.1 to 62.80.255.25462.80.255.25565,534
8262.81.0.0/1662.81.0.1 to 62.81.255.25462.81.255.25565,534
8362.82.0.0/1662.82.0.1 to 62.82.255.25462.82.255.25565,534
8462.83.0.0/1662.83.0.1 to 62.83.255.25462.83.255.25565,534
8562.84.0.0/1662.84.0.1 to 62.84.255.25462.84.255.25565,534
8662.85.0.0/1662.85.0.1 to 62.85.255.25462.85.255.25565,534
8762.86.0.0/1662.86.0.1 to 62.86.255.25462.86.255.25565,534
8862.87.0.0/1662.87.0.1 to 62.87.255.25462.87.255.25565,534
8962.88.0.0/1662.88.0.1 to 62.88.255.25462.88.255.25565,534
9062.89.0.0/1662.89.0.1 to 62.89.255.25462.89.255.25565,534
9162.90.0.0/1662.90.0.1 to 62.90.255.25462.90.255.25565,534
9262.91.0.0/1662.91.0.1 to 62.91.255.25462.91.255.25565,534
9362.92.0.0/1662.92.0.1 to 62.92.255.25462.92.255.25565,534
9462.93.0.0/1662.93.0.1 to 62.93.255.25462.93.255.25565,534
9562.94.0.0/1662.94.0.1 to 62.94.255.25462.94.255.25565,534
9662.95.0.0/1662.95.0.1 to 62.95.255.25462.95.255.25565,534
9762.96.0.0/1662.96.0.1 to 62.96.255.25462.96.255.25565,534
9862.97.0.0/1662.97.0.1 to 62.97.255.25462.97.255.25565,534
9962.98.0.0/1662.98.0.1 to 62.98.255.25462.98.255.25565,534
10062.99.0.0/1662.99.0.1 to 62.99.255.25462.99.255.25565,534
10162.100.0.0/1662.100.0.1 to 62.100.255.25462.100.255.25565,534
10262.101.0.0/1662.101.0.1 to 62.101.255.25462.101.255.25565,534
10362.102.0.0/1662.102.0.1 to 62.102.255.25462.102.255.25565,534
10462.103.0.0/1662.103.0.1 to 62.103.255.25462.103.255.25565,534
10562.104.0.0/1662.104.0.1 to 62.104.255.25462.104.255.25565,534
10662.105.0.0/1662.105.0.1 to 62.105.255.25462.105.255.25565,534
10762.106.0.0/1662.106.0.1 to 62.106.255.25462.106.255.25565,534
10862.107.0.0/1662.107.0.1 to 62.107.255.25462.107.255.25565,534
10962.108.0.0/1662.108.0.1 to 62.108.255.25462.108.255.25565,534
11062.109.0.0/1662.109.0.1 to 62.109.255.25462.109.255.25565,534
11162.110.0.0/1662.110.0.1 to 62.110.255.25462.110.255.25565,534
11262.111.0.0/1662.111.0.1 to 62.111.255.25462.111.255.25565,534
11362.112.0.0/1662.112.0.1 to 62.112.255.25462.112.255.25565,534
11462.113.0.0/1662.113.0.1 to 62.113.255.25462.113.255.25565,534
11562.114.0.0/1662.114.0.1 to 62.114.255.25462.114.255.25565,534
11662.115.0.0/1662.115.0.1 to 62.115.255.25462.115.255.25565,534
11762.116.0.0/1662.116.0.1 to 62.116.255.25462.116.255.25565,534
11862.117.0.0/1662.117.0.1 to 62.117.255.25462.117.255.25565,534
11962.118.0.0/1662.118.0.1 to 62.118.255.25462.118.255.25565,534
12062.119.0.0/1662.119.0.1 to 62.119.255.25462.119.255.25565,534
12162.120.0.0/1662.120.0.1 to 62.120.255.25462.120.255.25565,534
12262.121.0.0/1662.121.0.1 to 62.121.255.25462.121.255.25565,534
12362.122.0.0/1662.122.0.1 to 62.122.255.25462.122.255.25565,534
12462.123.0.0/1662.123.0.1 to 62.123.255.25462.123.255.25565,534
12562.124.0.0/1662.124.0.1 to 62.124.255.25462.124.255.25565,534
12662.125.0.0/1662.125.0.1 to 62.125.255.25462.125.255.25565,534
12762.126.0.0/1662.126.0.1 to 62.126.255.25462.126.255.25565,534
12862.127.0.0/1662.127.0.1 to 62.127.255.25462.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses